# Uses of Class
net.shibboleth.idp.attribute.resolver.spring.dc.saml.impl.AbstractSAMLDataConnectorParser.CustomPropertyValue

Packages that use AbstractSAMLDataConnectorParser.CustomPropertyValue
Package
Description
net.shibboleth.idp.attribute.resolver.spring.dc.saml.impl
The parser for the SAML Data connectors.

## Uses of AbstractSAMLDataConnectorParser.CustomPropertyValue in net.shibboleth.idp.attribute.resolver.spring.dc.saml.impl

Fields in net.shibboleth.idp.attribute.resolver.spring.dc.saml.impl with type parameters of type AbstractSAMLDataConnectorParser.CustomPropertyValue
Modifier and Type
Field
Description
`private final Map<String,AbstractSAMLDataConnectorParser.CustomPropertyValue>`
AbstractSAMLDataConnectorParser.`resolvedCustomProperties`
Map of custom bean properties for bean wiring.
Methods in net.shibboleth.idp.attribute.resolver.spring.dc.saml.impl that return AbstractSAMLDataConnectorParser.CustomPropertyValue
Modifier and Type
Method
Description
`protected AbstractSAMLDataConnectorParser.CustomPropertyValue`
AbstractSAMLDataConnectorParser.`getResolvedCustomProperty(String propName)`
Get the resolved custom property value, if exists.